Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DATA_CONVERSION

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.DATA_CONVERSION

All Implemented Interfaces:
  Serializable

public final class DATA_CONVERSION
extends SystemException

This exception is raised if an ORB cannot convert the representation of data as marshaled into its native representation or vice-versa. For example, DATA_CONVERSION can be raised if wide character codeset conversion fails, or if an ORB cannot convert floating point values between different representations.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section meaning of minor codes to see the minor codes for this exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`DATA_CONVERSION()` Constructs a `DATA_CONVERSION` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`DATA_CONVERSION(int minor, CompletionStatus completed)` Constructs a `DATA_CONVERSION` exception with the specified minor code and completion status.
`DATA_CONVERSION(String s)` Constructs a `DATA_CONVERSION` exception with the specified detail.
`DATA_CONVERSION(String s, int minor, CompletionStatus completed)` Constructs a `DATA_CONVERSION` exception with the specified detail message, minor code, and completion status.

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DATA_CONVERSION

    public DATA_CONVERSION()

  Constructs a `DATA_CONVERSION` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

### DATA_CONVERSION

    public DATA_CONVERSION(String s)

  Constructs a `DATA_CONVERSION` exception with the specified detail.

Parameters:
  `s` - the String containing a detail message

### DATA_CONVERSION

    public DATA_CONVERSION(int minor,
                           CompletionStatus completed)

  Constructs a `DATA_CONVERSION` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

### DATA_CONVERSION

    public DATA_CONVERSION(String s,
                           int minor,
                           CompletionStatus completed)

  Constructs a `DATA_CONVERSION` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message
  `minor` - the minor code
  `completed` - the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.